import request from '@/utils/request'

// 查询人群信息列表
export function listCrowdInfo(query) {
    return request({
        url: '/manage/crowdInfo/list',
        method: 'get',
        params: query
    })
}

// 查询人群信息详细
export function getCrowdInfo(id) {
    return request({
        url: '/manage/crowdInfo/' + id,
        method: 'get'
    })
}

// 新增人群信息
export function addCrowdInfo(data) {
    return request({
        url: '/manage/crowdInfo',
        method: 'post',
        data: data
    })
}

// 修改人群信息
export function updateCrowdInfo(data) {
    return request({
        url: '/manage/crowdInfo',
        method: 'put',
        data: data
    })
}

// 删除人群信息
export function delCrowdInfo(id) {
    return request({
        url: '/manage/crowdInfo/' + id,
        method: 'delete'
    })
}
